Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network31.4.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
31.4.0.0
Broadcast address
31.7.255.255
First usable
31.4.0.1
Last usable
31.7.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 1F040000 · Integer 520355840 to 520617983
Reverse DNS zones
4.31.in-addr.arpa
5.31.in-addr.arpa
6.31.in-addr.arpa
7.31.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011111.00000100.00000000.0000000031.4.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00011111.00000100.00000000.0000000031.4.0.0
Broadcast00011111.00000111.11111111.1111111131.7.255.255
Split into smaller subnets/22

31.4.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
131.4.0.0/2231.4.0.1 to 31.4.3.25431.4.3.2551,022
231.4.4.0/2231.4.4.1 to 31.4.7.25431.4.7.2551,022
331.4.8.0/2231.4.8.1 to 31.4.11.25431.4.11.2551,022
431.4.12.0/2231.4.12.1 to 31.4.15.25431.4.15.2551,022
531.4.16.0/2231.4.16.1 to 31.4.19.25431.4.19.2551,022
631.4.20.0/2231.4.20.1 to 31.4.23.25431.4.23.2551,022
731.4.24.0/2231.4.24.1 to 31.4.27.25431.4.27.2551,022
831.4.28.0/2231.4.28.1 to 31.4.31.25431.4.31.2551,022
931.4.32.0/2231.4.32.1 to 31.4.35.25431.4.35.2551,022
1031.4.36.0/2231.4.36.1 to 31.4.39.25431.4.39.2551,022
1131.4.40.0/2231.4.40.1 to 31.4.43.25431.4.43.2551,022
1231.4.44.0/2231.4.44.1 to 31.4.47.25431.4.47.2551,022
1331.4.48.0/2231.4.48.1 to 31.4.51.25431.4.51.2551,022
1431.4.52.0/2231.4.52.1 to 31.4.55.25431.4.55.2551,022
1531.4.56.0/2231.4.56.1 to 31.4.59.25431.4.59.2551,022
1631.4.60.0/2231.4.60.1 to 31.4.63.25431.4.63.2551,022
1731.4.64.0/2231.4.64.1 to 31.4.67.25431.4.67.2551,022
1831.4.68.0/2231.4.68.1 to 31.4.71.25431.4.71.2551,022
1931.4.72.0/2231.4.72.1 to 31.4.75.25431.4.75.2551,022
2031.4.76.0/2231.4.76.1 to 31.4.79.25431.4.79.2551,022
2131.4.80.0/2231.4.80.1 to 31.4.83.25431.4.83.2551,022
2231.4.84.0/2231.4.84.1 to 31.4.87.25431.4.87.2551,022
2331.4.88.0/2231.4.88.1 to 31.4.91.25431.4.91.2551,022
2431.4.92.0/2231.4.92.1 to 31.4.95.25431.4.95.2551,022
2531.4.96.0/2231.4.96.1 to 31.4.99.25431.4.99.2551,022
2631.4.100.0/2231.4.100.1 to 31.4.103.25431.4.103.2551,022
2731.4.104.0/2231.4.104.1 to 31.4.107.25431.4.107.2551,022
2831.4.108.0/2231.4.108.1 to 31.4.111.25431.4.111.2551,022
2931.4.112.0/2231.4.112.1 to 31.4.115.25431.4.115.2551,022
3031.4.116.0/2231.4.116.1 to 31.4.119.25431.4.119.2551,022
3131.4.120.0/2231.4.120.1 to 31.4.123.25431.4.123.2551,022
3231.4.124.0/2231.4.124.1 to 31.4.127.25431.4.127.2551,022
3331.4.128.0/2231.4.128.1 to 31.4.131.25431.4.131.2551,022
3431.4.132.0/2231.4.132.1 to 31.4.135.25431.4.135.2551,022
3531.4.136.0/2231.4.136.1 to 31.4.139.25431.4.139.2551,022
3631.4.140.0/2231.4.140.1 to 31.4.143.25431.4.143.2551,022
3731.4.144.0/2231.4.144.1 to 31.4.147.25431.4.147.2551,022
3831.4.148.0/2231.4.148.1 to 31.4.151.25431.4.151.2551,022
3931.4.152.0/2231.4.152.1 to 31.4.155.25431.4.155.2551,022
4031.4.156.0/2231.4.156.1 to 31.4.159.25431.4.159.2551,022
4131.4.160.0/2231.4.160.1 to 31.4.163.25431.4.163.2551,022
4231.4.164.0/2231.4.164.1 to 31.4.167.25431.4.167.2551,022
4331.4.168.0/2231.4.168.1 to 31.4.171.25431.4.171.2551,022
4431.4.172.0/2231.4.172.1 to 31.4.175.25431.4.175.2551,022
4531.4.176.0/2231.4.176.1 to 31.4.179.25431.4.179.2551,022
4631.4.180.0/2231.4.180.1 to 31.4.183.25431.4.183.2551,022
4731.4.184.0/2231.4.184.1 to 31.4.187.25431.4.187.2551,022
4831.4.188.0/2231.4.188.1 to 31.4.191.25431.4.191.2551,022
4931.4.192.0/2231.4.192.1 to 31.4.195.25431.4.195.2551,022
5031.4.196.0/2231.4.196.1 to 31.4.199.25431.4.199.2551,022
5131.4.200.0/2231.4.200.1 to 31.4.203.25431.4.203.2551,022
5231.4.204.0/2231.4.204.1 to 31.4.207.25431.4.207.2551,022
5331.4.208.0/2231.4.208.1 to 31.4.211.25431.4.211.2551,022
5431.4.212.0/2231.4.212.1 to 31.4.215.25431.4.215.2551,022
5531.4.216.0/2231.4.216.1 to 31.4.219.25431.4.219.2551,022
5631.4.220.0/2231.4.220.1 to 31.4.223.25431.4.223.2551,022
5731.4.224.0/2231.4.224.1 to 31.4.227.25431.4.227.2551,022
5831.4.228.0/2231.4.228.1 to 31.4.231.25431.4.231.2551,022
5931.4.232.0/2231.4.232.1 to 31.4.235.25431.4.235.2551,022
6031.4.236.0/2231.4.236.1 to 31.4.239.25431.4.239.2551,022
6131.4.240.0/2231.4.240.1 to 31.4.243.25431.4.243.2551,022
6231.4.244.0/2231.4.244.1 to 31.4.247.25431.4.247.2551,022
6331.4.248.0/2231.4.248.1 to 31.4.251.25431.4.251.2551,022
6431.4.252.0/2231.4.252.1 to 31.4.255.25431.4.255.2551,022
6531.5.0.0/2231.5.0.1 to 31.5.3.25431.5.3.2551,022
6631.5.4.0/2231.5.4.1 to 31.5.7.25431.5.7.2551,022
6731.5.8.0/2231.5.8.1 to 31.5.11.25431.5.11.2551,022
6831.5.12.0/2231.5.12.1 to 31.5.15.25431.5.15.2551,022
6931.5.16.0/2231.5.16.1 to 31.5.19.25431.5.19.2551,022
7031.5.20.0/2231.5.20.1 to 31.5.23.25431.5.23.2551,022
7131.5.24.0/2231.5.24.1 to 31.5.27.25431.5.27.2551,022
7231.5.28.0/2231.5.28.1 to 31.5.31.25431.5.31.2551,022
7331.5.32.0/2231.5.32.1 to 31.5.35.25431.5.35.2551,022
7431.5.36.0/2231.5.36.1 to 31.5.39.25431.5.39.2551,022
7531.5.40.0/2231.5.40.1 to 31.5.43.25431.5.43.2551,022
7631.5.44.0/2231.5.44.1 to 31.5.47.25431.5.47.2551,022
7731.5.48.0/2231.5.48.1 to 31.5.51.25431.5.51.2551,022
7831.5.52.0/2231.5.52.1 to 31.5.55.25431.5.55.2551,022
7931.5.56.0/2231.5.56.1 to 31.5.59.25431.5.59.2551,022
8031.5.60.0/2231.5.60.1 to 31.5.63.25431.5.63.2551,022
8131.5.64.0/2231.5.64.1 to 31.5.67.25431.5.67.2551,022
8231.5.68.0/2231.5.68.1 to 31.5.71.25431.5.71.2551,022
8331.5.72.0/2231.5.72.1 to 31.5.75.25431.5.75.2551,022
8431.5.76.0/2231.5.76.1 to 31.5.79.25431.5.79.2551,022
8531.5.80.0/2231.5.80.1 to 31.5.83.25431.5.83.2551,022
8631.5.84.0/2231.5.84.1 to 31.5.87.25431.5.87.2551,022
8731.5.88.0/2231.5.88.1 to 31.5.91.25431.5.91.2551,022
8831.5.92.0/2231.5.92.1 to 31.5.95.25431.5.95.2551,022
8931.5.96.0/2231.5.96.1 to 31.5.99.25431.5.99.2551,022
9031.5.100.0/2231.5.100.1 to 31.5.103.25431.5.103.2551,022
9131.5.104.0/2231.5.104.1 to 31.5.107.25431.5.107.2551,022
9231.5.108.0/2231.5.108.1 to 31.5.111.25431.5.111.2551,022
9331.5.112.0/2231.5.112.1 to 31.5.115.25431.5.115.2551,022
9431.5.116.0/2231.5.116.1 to 31.5.119.25431.5.119.2551,022
9531.5.120.0/2231.5.120.1 to 31.5.123.25431.5.123.2551,022
9631.5.124.0/2231.5.124.1 to 31.5.127.25431.5.127.2551,022
9731.5.128.0/2231.5.128.1 to 31.5.131.25431.5.131.2551,022
9831.5.132.0/2231.5.132.1 to 31.5.135.25431.5.135.2551,022
9931.5.136.0/2231.5.136.1 to 31.5.139.25431.5.139.2551,022
10031.5.140.0/2231.5.140.1 to 31.5.143.25431.5.143.2551,022
10131.5.144.0/2231.5.144.1 to 31.5.147.25431.5.147.2551,022
10231.5.148.0/2231.5.148.1 to 31.5.151.25431.5.151.2551,022
10331.5.152.0/2231.5.152.1 to 31.5.155.25431.5.155.2551,022
10431.5.156.0/2231.5.156.1 to 31.5.159.25431.5.159.2551,022
10531.5.160.0/2231.5.160.1 to 31.5.163.25431.5.163.2551,022
10631.5.164.0/2231.5.164.1 to 31.5.167.25431.5.167.2551,022
10731.5.168.0/2231.5.168.1 to 31.5.171.25431.5.171.2551,022
10831.5.172.0/2231.5.172.1 to 31.5.175.25431.5.175.2551,022
10931.5.176.0/2231.5.176.1 to 31.5.179.25431.5.179.2551,022
11031.5.180.0/2231.5.180.1 to 31.5.183.25431.5.183.2551,022
11131.5.184.0/2231.5.184.1 to 31.5.187.25431.5.187.2551,022
11231.5.188.0/2231.5.188.1 to 31.5.191.25431.5.191.2551,022
11331.5.192.0/2231.5.192.1 to 31.5.195.25431.5.195.2551,022
11431.5.196.0/2231.5.196.1 to 31.5.199.25431.5.199.2551,022
11531.5.200.0/2231.5.200.1 to 31.5.203.25431.5.203.2551,022
11631.5.204.0/2231.5.204.1 to 31.5.207.25431.5.207.2551,022
11731.5.208.0/2231.5.208.1 to 31.5.211.25431.5.211.2551,022
11831.5.212.0/2231.5.212.1 to 31.5.215.25431.5.215.2551,022
11931.5.216.0/2231.5.216.1 to 31.5.219.25431.5.219.2551,022
12031.5.220.0/2231.5.220.1 to 31.5.223.25431.5.223.2551,022
12131.5.224.0/2231.5.224.1 to 31.5.227.25431.5.227.2551,022
12231.5.228.0/2231.5.228.1 to 31.5.231.25431.5.231.2551,022
12331.5.232.0/2231.5.232.1 to 31.5.235.25431.5.235.2551,022
12431.5.236.0/2231.5.236.1 to 31.5.239.25431.5.239.2551,022
12531.5.240.0/2231.5.240.1 to 31.5.243.25431.5.243.2551,022
12631.5.244.0/2231.5.244.1 to 31.5.247.25431.5.247.2551,022
12731.5.248.0/2231.5.248.1 to 31.5.251.25431.5.251.2551,022
12831.5.252.0/2231.5.252.1 to 31.5.255.25431.5.255.2551,022
12931.6.0.0/2231.6.0.1 to 31.6.3.25431.6.3.2551,022
13031.6.4.0/2231.6.4.1 to 31.6.7.25431.6.7.2551,022
13131.6.8.0/2231.6.8.1 to 31.6.11.25431.6.11.2551,022
13231.6.12.0/2231.6.12.1 to 31.6.15.25431.6.15.2551,022
13331.6.16.0/2231.6.16.1 to 31.6.19.25431.6.19.2551,022
13431.6.20.0/2231.6.20.1 to 31.6.23.25431.6.23.2551,022
13531.6.24.0/2231.6.24.1 to 31.6.27.25431.6.27.2551,022
13631.6.28.0/2231.6.28.1 to 31.6.31.25431.6.31.2551,022
13731.6.32.0/2231.6.32.1 to 31.6.35.25431.6.35.2551,022
13831.6.36.0/2231.6.36.1 to 31.6.39.25431.6.39.2551,022
13931.6.40.0/2231.6.40.1 to 31.6.43.25431.6.43.2551,022
14031.6.44.0/2231.6.44.1 to 31.6.47.25431.6.47.2551,022
14131.6.48.0/2231.6.48.1 to 31.6.51.25431.6.51.2551,022
14231.6.52.0/2231.6.52.1 to 31.6.55.25431.6.55.2551,022
14331.6.56.0/2231.6.56.1 to 31.6.59.25431.6.59.2551,022
14431.6.60.0/2231.6.60.1 to 31.6.63.25431.6.63.2551,022
14531.6.64.0/2231.6.64.1 to 31.6.67.25431.6.67.2551,022
14631.6.68.0/2231.6.68.1 to 31.6.71.25431.6.71.2551,022
14731.6.72.0/2231.6.72.1 to 31.6.75.25431.6.75.2551,022
14831.6.76.0/2231.6.76.1 to 31.6.79.25431.6.79.2551,022
14931.6.80.0/2231.6.80.1 to 31.6.83.25431.6.83.2551,022
15031.6.84.0/2231.6.84.1 to 31.6.87.25431.6.87.2551,022
15131.6.88.0/2231.6.88.1 to 31.6.91.25431.6.91.2551,022
15231.6.92.0/2231.6.92.1 to 31.6.95.25431.6.95.2551,022
15331.6.96.0/2231.6.96.1 to 31.6.99.25431.6.99.2551,022
15431.6.100.0/2231.6.100.1 to 31.6.103.25431.6.103.2551,022
15531.6.104.0/2231.6.104.1 to 31.6.107.25431.6.107.2551,022
15631.6.108.0/2231.6.108.1 to 31.6.111.25431.6.111.2551,022
15731.6.112.0/2231.6.112.1 to 31.6.115.25431.6.115.2551,022
15831.6.116.0/2231.6.116.1 to 31.6.119.25431.6.119.2551,022
15931.6.120.0/2231.6.120.1 to 31.6.123.25431.6.123.2551,022
16031.6.124.0/2231.6.124.1 to 31.6.127.25431.6.127.2551,022
16131.6.128.0/2231.6.128.1 to 31.6.131.25431.6.131.2551,022
16231.6.132.0/2231.6.132.1 to 31.6.135.25431.6.135.2551,022
16331.6.136.0/2231.6.136.1 to 31.6.139.25431.6.139.2551,022
16431.6.140.0/2231.6.140.1 to 31.6.143.25431.6.143.2551,022
16531.6.144.0/2231.6.144.1 to 31.6.147.25431.6.147.2551,022
16631.6.148.0/2231.6.148.1 to 31.6.151.25431.6.151.2551,022
16731.6.152.0/2231.6.152.1 to 31.6.155.25431.6.155.2551,022
16831.6.156.0/2231.6.156.1 to 31.6.159.25431.6.159.2551,022
16931.6.160.0/2231.6.160.1 to 31.6.163.25431.6.163.2551,022
17031.6.164.0/2231.6.164.1 to 31.6.167.25431.6.167.2551,022
17131.6.168.0/2231.6.168.1 to 31.6.171.25431.6.171.2551,022
17231.6.172.0/2231.6.172.1 to 31.6.175.25431.6.175.2551,022
17331.6.176.0/2231.6.176.1 to 31.6.179.25431.6.179.2551,022
17431.6.180.0/2231.6.180.1 to 31.6.183.25431.6.183.2551,022
17531.6.184.0/2231.6.184.1 to 31.6.187.25431.6.187.2551,022
17631.6.188.0/2231.6.188.1 to 31.6.191.25431.6.191.2551,022
17731.6.192.0/2231.6.192.1 to 31.6.195.25431.6.195.2551,022
17831.6.196.0/2231.6.196.1 to 31.6.199.25431.6.199.2551,022
17931.6.200.0/2231.6.200.1 to 31.6.203.25431.6.203.2551,022
18031.6.204.0/2231.6.204.1 to 31.6.207.25431.6.207.2551,022
18131.6.208.0/2231.6.208.1 to 31.6.211.25431.6.211.2551,022
18231.6.212.0/2231.6.212.1 to 31.6.215.25431.6.215.2551,022
18331.6.216.0/2231.6.216.1 to 31.6.219.25431.6.219.2551,022
18431.6.220.0/2231.6.220.1 to 31.6.223.25431.6.223.2551,022
18531.6.224.0/2231.6.224.1 to 31.6.227.25431.6.227.2551,022
18631.6.228.0/2231.6.228.1 to 31.6.231.25431.6.231.2551,022
18731.6.232.0/2231.6.232.1 to 31.6.235.25431.6.235.2551,022
18831.6.236.0/2231.6.236.1 to 31.6.239.25431.6.239.2551,022
18931.6.240.0/2231.6.240.1 to 31.6.243.25431.6.243.2551,022
19031.6.244.0/2231.6.244.1 to 31.6.247.25431.6.247.2551,022
19131.6.248.0/2231.6.248.1 to 31.6.251.25431.6.251.2551,022
19231.6.252.0/2231.6.252.1 to 31.6.255.25431.6.255.2551,022
19331.7.0.0/2231.7.0.1 to 31.7.3.25431.7.3.2551,022
19431.7.4.0/2231.7.4.1 to 31.7.7.25431.7.7.2551,022
19531.7.8.0/2231.7.8.1 to 31.7.11.25431.7.11.2551,022
19631.7.12.0/2231.7.12.1 to 31.7.15.25431.7.15.2551,022
19731.7.16.0/2231.7.16.1 to 31.7.19.25431.7.19.2551,022
19831.7.20.0/2231.7.20.1 to 31.7.23.25431.7.23.2551,022
19931.7.24.0/2231.7.24.1 to 31.7.27.25431.7.27.2551,022
20031.7.28.0/2231.7.28.1 to 31.7.31.25431.7.31.2551,022
20131.7.32.0/2231.7.32.1 to 31.7.35.25431.7.35.2551,022
20231.7.36.0/2231.7.36.1 to 31.7.39.25431.7.39.2551,022
20331.7.40.0/2231.7.40.1 to 31.7.43.25431.7.43.2551,022
20431.7.44.0/2231.7.44.1 to 31.7.47.25431.7.47.2551,022
20531.7.48.0/2231.7.48.1 to 31.7.51.25431.7.51.2551,022
20631.7.52.0/2231.7.52.1 to 31.7.55.25431.7.55.2551,022
20731.7.56.0/2231.7.56.1 to 31.7.59.25431.7.59.2551,022
20831.7.60.0/2231.7.60.1 to 31.7.63.25431.7.63.2551,022
20931.7.64.0/2231.7.64.1 to 31.7.67.25431.7.67.2551,022
21031.7.68.0/2231.7.68.1 to 31.7.71.25431.7.71.2551,022
21131.7.72.0/2231.7.72.1 to 31.7.75.25431.7.75.2551,022
21231.7.76.0/2231.7.76.1 to 31.7.79.25431.7.79.2551,022
21331.7.80.0/2231.7.80.1 to 31.7.83.25431.7.83.2551,022
21431.7.84.0/2231.7.84.1 to 31.7.87.25431.7.87.2551,022
21531.7.88.0/2231.7.88.1 to 31.7.91.25431.7.91.2551,022
21631.7.92.0/2231.7.92.1 to 31.7.95.25431.7.95.2551,022
21731.7.96.0/2231.7.96.1 to 31.7.99.25431.7.99.2551,022
21831.7.100.0/2231.7.100.1 to 31.7.103.25431.7.103.2551,022
21931.7.104.0/2231.7.104.1 to 31.7.107.25431.7.107.2551,022
22031.7.108.0/2231.7.108.1 to 31.7.111.25431.7.111.2551,022
22131.7.112.0/2231.7.112.1 to 31.7.115.25431.7.115.2551,022
22231.7.116.0/2231.7.116.1 to 31.7.119.25431.7.119.2551,022
22331.7.120.0/2231.7.120.1 to 31.7.123.25431.7.123.2551,022
22431.7.124.0/2231.7.124.1 to 31.7.127.25431.7.127.2551,022
22531.7.128.0/2231.7.128.1 to 31.7.131.25431.7.131.2551,022
22631.7.132.0/2231.7.132.1 to 31.7.135.25431.7.135.2551,022
22731.7.136.0/2231.7.136.1 to 31.7.139.25431.7.139.2551,022
22831.7.140.0/2231.7.140.1 to 31.7.143.25431.7.143.2551,022
22931.7.144.0/2231.7.144.1 to 31.7.147.25431.7.147.2551,022
23031.7.148.0/2231.7.148.1 to 31.7.151.25431.7.151.2551,022
23131.7.152.0/2231.7.152.1 to 31.7.155.25431.7.155.2551,022
23231.7.156.0/2231.7.156.1 to 31.7.159.25431.7.159.2551,022
23331.7.160.0/2231.7.160.1 to 31.7.163.25431.7.163.2551,022
23431.7.164.0/2231.7.164.1 to 31.7.167.25431.7.167.2551,022
23531.7.168.0/2231.7.168.1 to 31.7.171.25431.7.171.2551,022
23631.7.172.0/2231.7.172.1 to 31.7.175.25431.7.175.2551,022
23731.7.176.0/2231.7.176.1 to 31.7.179.25431.7.179.2551,022
23831.7.180.0/2231.7.180.1 to 31.7.183.25431.7.183.2551,022
23931.7.184.0/2231.7.184.1 to 31.7.187.25431.7.187.2551,022
24031.7.188.0/2231.7.188.1 to 31.7.191.25431.7.191.2551,022
24131.7.192.0/2231.7.192.1 to 31.7.195.25431.7.195.2551,022
24231.7.196.0/2231.7.196.1 to 31.7.199.25431.7.199.2551,022
24331.7.200.0/2231.7.200.1 to 31.7.203.25431.7.203.2551,022
24431.7.204.0/2231.7.204.1 to 31.7.207.25431.7.207.2551,022
24531.7.208.0/2231.7.208.1 to 31.7.211.25431.7.211.2551,022
24631.7.212.0/2231.7.212.1 to 31.7.215.25431.7.215.2551,022
24731.7.216.0/2231.7.216.1 to 31.7.219.25431.7.219.2551,022
24831.7.220.0/2231.7.220.1 to 31.7.223.25431.7.223.2551,022
24931.7.224.0/2231.7.224.1 to 31.7.227.25431.7.227.2551,022
25031.7.228.0/2231.7.228.1 to 31.7.231.25431.7.231.2551,022
25131.7.232.0/2231.7.232.1 to 31.7.235.25431.7.235.2551,022
25231.7.236.0/2231.7.236.1 to 31.7.239.25431.7.239.2551,022
25331.7.240.0/2231.7.240.1 to 31.7.243.25431.7.243.2551,022
25431.7.244.0/2231.7.244.1 to 31.7.247.25431.7.247.2551,022
25531.7.248.0/2231.7.248.1 to 31.7.251.25431.7.251.2551,022
25631.7.252.0/2231.7.252.1 to 31.7.255.25431.7.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses